apiVersion: migration.openshift.io/v1alpha1
kind: MigPlan
metadata:
  annotations:
    migration.openshift.io/selected-migplan-type: scc
    openshift.io/touch: db6c5e23-ab90-11f0-adf9-0a580a82011f
  creationTimestamp: "2025-10-17T19:22:34Z"
  generation: 16
  name: example
  namespace: openshift-migration
  resourceVersion: "82572538"
  uid: 422a93d3-29f6-47d9-bdb6-e3f5a06749eb
spec:
  destMigClusterRef:
    name: host
    namespace: openshift-migration
  liveMigrate: true
  namespaces:
  - awels
  persistentVolumes:
  - capacity: 30Gi
    name: pvc-8ad101d3-04f9-44ec-85e3-5ac5dc901abc
    proposedCapacity: "0"
    pvc:
      accessModes:
      - auto
      hasReference: true
      name: rhel9-sapphire-catshark-11-mig-iq7v93-mig-4g8l:rhel9-sapphire-catshark-11-mig-iq7v93-mig-fwh4
      namespace: awels
      ownerType: VirtualMachine
      volumeMode: auto
    selection:
      action: copy
      copyMethod: block
      storageClass: ocs-storagecluster-ceph-rbd-virtualization
    storageClass: ocs-storagecluster-ceph-rbd
    supported:
      actions:
      - skip
      - copy
      copyMethods:
      - filesystem
      - block
      - snapshot
  - capacity: 20Gi
    name: pvc-96736519-154c-40a6-b5df-fbd88fface55
    proposedCapacity: "0"
    pvc:
      accessModes:
      - ReadWriteOnce
      name: debug-tools:debug-tools-mig-fwh4
      namespace: awels
      volumeMode: Filesystem
    selection:
      action: skip
      copyMethod: filesystem
      storageClass: ocs-storagecluster-ceph-rbd
    storageClass: ocs-storagecluster-ceph-rbd
    supported:
      actions:
      - skip
      - copy
      copyMethods:
      - filesystem
      - block
      - snapshot
  srcMigClusterRef:
    name: host
    namespace: openshift-migration
status:
  conditions:
  - category: Advisory
    durable: true
    lastTransitionTime: "2025-10-17T19:36:36Z"
    message: The migration plan was previously used for Storage Conversion. It can
      only be used for further Storage Conversions. Other migrations will be possible
      only after a successful rollback is performed.
    reason: StorageConversionPlan
    status: "True"
    type: MigrationTypeIdentified
  - category: Warn
    durable: true
    lastTransitionTime: "2025-10-17T19:36:36Z"
    message: 'Found Pods with non-default `Spec.NodeSelector` set in namespaces: [awels].
      This field will be cleared on Pods restored into the target cluster.'
    reason: NodeSelectorsDetected
    status: "True"
    type: NamespacesHaveNodeSelectors
  - category: Required
    lastTransitionTime: "2025-10-17T19:24:16Z"
    message: The `persistentVolumes` list has been updated with discovered PVs.
    reason: Done
    status: "True"
    type: PvsDiscovered
  - category: Warn
    lastTransitionTime: "2025-10-17T19:38:29Z"
    message: 'Failed to compute PV resizing data for the following volumes. PV resizing
      will be disabled for these volumes and the migration may fail if the volumes
      are full or their requested and actual capacities differ in the source cluster.
      Please ensure that the volumes are attached to one or more running Pods for
      PV resizing to work correctly: [debug-tools]'
    reason: NotDone
    status: "True"
    type: PvUsageAnalysisFailed
  - category: Required
    lastTransitionTime: "2025-10-17T19:24:16Z"
    message: The migration plan is ready.
    status: "True"
    type: Ready
  - category: Advisory
    lastTransitionTime: "2025-10-17T19:38:20Z"
    message: The migrations plan is in suspended state; Limited validation enforced;
      PV discovery and resource reconciliation suspended.
    status: "True"
    type: Suspended
  destStorageClasses:
  - name: local-block-ocs
    provisioner: kubernetes.io/no-provisioner
    volumeAccessModes:
    - accessModes:
      - ReadWriteOnce
      volumeMode: Filesystem
  - default: true
    name: ocs-storagecluster-ceph-rbd
    provisioner: openshift-storage.rbd.csi.ceph.com
    volumeAccessModes:
    - accessModes:
      - ReadWriteOnce
      volumeMode: Filesystem
    - accessModes:
      - ReadWriteOnce
      - ReadOnlyMany
      - ReadWriteMany
      volumeMode: Block
  - name: ocs-storagecluster-ceph-rbd-virtualization
    provisioner: openshift-storage.rbd.csi.ceph.com
    volumeAccessModes:
    - accessModes:
      - ReadWriteOnce
      volumeMode: Filesystem
    - accessModes:
      - ReadWriteOnce
      - ReadOnlyMany
      - ReadWriteMany
      volumeMode: Block
  - name: ocs-storagecluster-ceph-rbd-wffc
    provisioner: openshift-storage.rbd.csi.ceph.com
    volumeAccessModes:
    - accessModes:
      - ReadWriteOnce
      volumeMode: Filesystem
    - accessModes:
      - ReadWriteOnce
      - ReadOnlyMany
      - ReadWriteMany
      volumeMode: Block
  - name: ocs-storagecluster-ceph-rgw
    provisioner: openshift-storage.ceph.rook.io/bucket
    volumeAccessModes:
    - accessModes:
      - ReadWriteOnce
      volumeMode: Filesystem
  - name: ocs-storagecluster-cephfs
    provisioner: openshift-storage.cephfs.csi.ceph.com
    volumeAccessModes:
    - accessModes:
      - ReadWriteOnce
      - ReadOnlyMany
      - ReadWriteMany
      volumeMode: Filesystem
  excludedResources:
  - imagetags
  - templateinstances
  - clusterserviceversions
  - packagemanifests
  - subscriptions
  - servicebrokers
  - servicebindings
  - serviceclasses
  - serviceinstances
  - serviceplans
  - operatorgroups
  - events
  - events.events.k8s.io
  - rolebindings.authorization.openshift.io
  observedDigest: ebd5315167d355154514cf1101c3079c372a472cb3b900f9543a36eb437d1bee
  srcStorageClasses:
  - name: local-block-ocs
    provisioner: kubernetes.io/no-provisioner
    volumeAccessModes:
    - accessModes:
      - ReadWriteOnce
      volumeMode: Filesystem
  - default: true
    name: ocs-storagecluster-ceph-rbd
    provisioner: openshift-storage.rbd.csi.ceph.com
    volumeAccessModes:
    - accessModes:
      - ReadWriteOnce
      volumeMode: Filesystem
    - accessModes:
      - ReadWriteOnce
      - ReadOnlyMany
      - ReadWriteMany
      volumeMode: Block
  - name: ocs-storagecluster-ceph-rbd-virtualization
    provisioner: openshift-storage.rbd.csi.ceph.com
    volumeAccessModes:
    - accessModes:
      - ReadWriteOnce
      volumeMode: Filesystem
    - accessModes:
      - ReadWriteOnce
      - ReadOnlyMany
      - ReadWriteMany
      volumeMode: Block
  - name: ocs-storagecluster-ceph-rbd-wffc
    provisioner: openshift-storage.rbd.csi.ceph.com
    volumeAccessModes:
    - accessModes:
      - ReadWriteOnce
      volumeMode: Filesystem
    - accessModes:
      - ReadWriteOnce
      - ReadOnlyMany
      - ReadWriteMany
      volumeMode: Block
  - name: ocs-storagecluster-ceph-rgw
    provisioner: openshift-storage.ceph.rook.io/bucket
    volumeAccessModes:
    - accessModes:
      - ReadWriteOnce
      volumeMode: Filesystem
  - name: ocs-storagecluster-cephfs
    provisioner: openshift-storage.cephfs.csi.ceph.com
    volumeAccessModes:
    - accessModes:
      - ReadWriteOnce
      - ReadOnlyMany
      - ReadWriteMany
      volumeMode: Filesystem
  suffix: fwh4
